import { ExtensionsDataSource, OptionsStyle } from '@cometchat/chat-uikit-vue';
export declare const rescheduleOptionId = "reschedule";
declare class RescheduleExtensionConfiguration {
    private optionIconURL;
    private optionStyle;
    constructor(configuration: {
        optionIconURL?: string;
        optionStyle?: OptionsStyle;
    });
    getOptionIconURL(): string | undefined;
    getOptionStyle(): OptionsStyle | undefined;
}
export declare class RescheduleExtension extends ExtensionsDataSource {
    configuration: RescheduleExtensionConfiguration;
    constructor({ configuration }?: {
        configuration: RescheduleExtensionConfiguration;
    });
    enable(): void;
    addExtension(): void;
    getExtensionId(): string;
}
export {};
